.toolbox {
  width: auto;
  height: auto;
  min-height: 100px;
  margin: 0 0 30px 0;
  z-index: 0;
  flex-grow: 1;

  .toolbox__container {
    height: 100%;
    background: $dark_n1;
    border: 1px solid blanco("05");
    @include box-shadow(0 5px 20px negro(3));
    @include border-radius(3px);
  }

  &.flat {
    .toolbox__container {
      box-shadow: none;
      background: none;
      border: none;
    }
  }

  .toolbox__overlay {
    background: #000000bb;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
  }

  .editor {
    padding: 10px 10px 0 10px;
  }

  &[class*="tool-box-open"] {
    z-index: 2;
    @include box-shadow(none);

    .tool {
      opacity: 1;
      padding: 15px 15px 0 15px;
      @include transition(0.3s height linear, 0.3s opacity ease-out);

      &:last-child:not([class*="compact"]) {
        margin-bottom: 15px;
      }
    }
  }

  .multimedia {
    .media {
      &:before {
        padding: 10px 15px;
        @include font-size(2);
      }
    }

    .source {
      display: inline-block;
      padding: 10px 0 10px 15px;
      margin: 15px 0 0 15px;
      @include font-size();
    }
  }

  .compact {
    height: 0;
    opacity: 0;
    padding: 0 !important;
    margin: 0;
  }

  .remove-attachment {
    position: absolute;
    right: 0;
    background: $narrojo;
    color: #fff;
    cursor: pointer;
    border-radius: 50%;
    font-size: 1.25em;
    width: 1.75em;
    height: 1.75em;
    border: 4px solid $darker;
    box-sizing: content-box;
  }

  .controls .m_block {
    display: flex;
    flex-direction: row;
    margin: 0;

    & > * {
      margin-left: 15px;
    }
  }
}

// inicia .TOOLBOX CHILDS
.picker {
  height: 100px;
  opacity: 1;
  overflow: hidden;
  z-index: 1;
  @include transition(0.3s height linear);
  @include flexbox(row, nowrap, center, center);

  li {
    width: auto;
    height: 70px;
    border-right: 4px solid negro(1);
    overflow: visible;
    user-select: none; // unselectable
    touch-action: manipulation; // disables tap zoom
    @include box-sizing(border-box);
    @include flex(1 1 100%);
    @include flexbox(column, nowrap, center, center);

    &:hover {
      cursor: pointer;

      &:before,
      &:after {
        opacity: 1;
      }

      svg {
        * {
          fill: $narrojo;
        }
      }

      p {
        height: 1.2em;
        opacity: 1;
        margin-top: 5;
      }
    }

    &:before {
      content: "";
      display: block;
      width: 4px;
      height: calc(100% + 20px);
      position: absolute;
      top: -10px;
      background: negro(2);
      opacity: 0;
      left: 10px;
      @include transition(0.3s all ease-out);
    }

    &:after {
      content: "";
      display: block;
      width: 4px;
      height: calc(100% + 20px);
      position: absolute;
      top: -10px;
      background: negro(2);
      opacity: 0;
      right: 10px;
      @include transition(0.3s all ease-out);
    }

    &:last-child {
      border-right: 0;
    }

    svg {
      width: 25px;
      height: 25px;

      * {
        fill: $primary;
      }
    }

    p {
      display: block;
      width: auto;
      height: 0;
      text-align: center;
      color: $narrojo;
      font-weight: 400;
      margin-top: 0;
      overflow: hidden;
      opacity: 0;
      @include transition(0.1s all ease-out);

      &:first-letter {
        text-transform: capitalize;
      }
    }
  }
}

.url-uploader {
  @include flexbox(column, nowrap, center, stretch);

  .supported {
    font-size: 3em;
    margin-bottom: 15px;
    color: $secondary;
    @include flexbox(row, nowrap, space-around, flex-start);
  }

  form {
    * {
      &:last-child {
        margin-bottom: 0;
      }
    }

    a,
    label:not([for]),
    .error {
      margin-bottom: 5px;
      @include font-size();
    }
  }
}

.audio-recorder {
  @include flexbox(row, nowrap, center, center);

  button {
    width: 55px;
    height: 55px;
    background: $secondary;
    border: 4px solid negro(1);
    color: $primary;
    font-weight: 400;
    text-transform: capitalize;
    margin: 10px;
    cursor: pointer;
    @include font-size();
    @include flexbox(row, nowrap, center, center);
    @include border-radius(50%);
    @include box-sizing(border-box);
    @include transition(0.3s background ease-out, 0.3s border ease-out);

    &:hover {
      background: $narrojo;
      border-color: #fff;
    }

    &[class*="recording"] {
      background: $narrojo;
      animation: pulse 2s infinite;
      @include box-shadow(0 0 0 0 rgba($narrojo, 0.4));

      &:hover {
        animation: none;
      }
    }
  }
}

.tags-wrapper {
  @include flexbox(row, wrap, flex-start, center);

  .tag {
    background: $dark;
    padding: 5px 10px;
    color: $secondary;
    cursor: pointer;
    margin: 0 10px 10px 0;
    @include border-radius(3px);
    @include font-size();
    @include flexbox(row, nowrap, center, center);

    &:hover {
      color: $dark;

      button {
        @include flexbox(row, nowrap, center, center);
      }
    }

    button {
      z-index: 1;
      display: none;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: transparent;
      color: $secondary;
      cursor: inherit;
      @include font-size(2);
    }
  }

  input[type="text"] {
    display: block;
    background: transparent;
    color: $primary;
    padding: 5px 0;
    margin-bottom: 10px;
    @include flex(1 1 auto);
    @include font-size(2);
  }
}

// termina .TOOLBOX CHILDS
